#Define	EditColorN	"Black/Honeydew"

*- Name.......Multi-Edit Seeker
*- Author.....Todd Kreuter
*- For........dBASE Plus, dB2K 

*- Description
// Paint-box handled seeker control based on the SeekerPX class.
// Multiple edits have been predefined in this subclass for
// convienence so that one does not have to drop multiple 
// SPXEdit controls. Unused edits (not datalinked) are relaesed
// in the beforeOpen method.

class SeekerME(parentObj) of SeekerPX(parentObj) from SeekerPX.cc custom

	*- Edit Controls
   this.Edit1 = new SPXEdit(this)
   with (this.Edit1)
   	width = 100
		colorNormal	= EditColorN
   endwith

   this.Edit2 = new SPXEdit(this)
   with (this.Edit2)
		colorNormal	= EditColorN
   endwith

   this.Edit3 = new SPXEdit(this)
   with (this.Edit3)
		colorNormal	= EditColorN
   endwith

   this.Edit4 = new SPXEdit(this)
   with (this.Edit4)
		colorNormal	= EditColorN
   endwith

   this.Edit5 = new SPXEdit(this)
   with (this.Edit5)
		colorNormal	= EditColorN
   endwith

   function beforeOpen
   *******************
   	local aEdits, nSize, i

      aEdits = new array()
      aEdits.add(this.Edit1)
      aEdits.add(this.Edit2)
      aEdits.add(this.Edit3)
      aEdits.add(this.Edit4)
      aEdits.add(this.Edit5)

      nSize = aEdits.size

      for i = 1 to aEdits.size
         if EMPTY(aEdits[i].dataLink)
         	aEdits[i].release()
         endif
      endfor

      release object aEdits

      return SeekerPX::beforeOpen()

endclass


